Name: irda-utils
Version: 0.9.15
Release: alt2

Summary: Utilities for infrared communication between devices
Summary(ru_RU.KOI8-R):       
License: GPL
Group: System/Servers
Url: http://irda.sourceforge.net/

Source: ftp://irda.sourceforge.net/pub/irda/%name/%name-%version.tar.bz2
Source1: irda.rc
Source2: irda.sysconfig
Patch1: irda-utils-0.9.10-rootonly.patch

# Automatically added by buildreq on Sat Jan 20 2001
BuildRequires: glib glib-devel m4 texinfo

%description
IrDA(TM) (Infrared Data Association) is an industry standard for
wireless, infrared communication between devices. IrDA speeds range
from 9600 bps to 4 Mbps, and IrDA can be used by many modern devices
including laptops, LAN adapters, PDAs, printers, and mobile phones.

The Linux-IrDA project is a GPL'd implementation, written from
scratch, of the IrDA protocols. Supported IrDA protocols include
IrLAP, IrLMP, IrIAP, IrTTP, IrLPT, IrLAN, IrCOMM and IrOBEX.

The %name package contains a collection of programs that enable
the use of IrDA protocols. Most IrDA features are implemented in the
kernel, so IrDA support must be enabled in the kernel before any IrDA
tools or programs can be used. Some configuration outside the kernel
is required, however, and some IrDA features, like IrOBEX, are
actually implemented outside the kernel.

%prep
%setup -q
%patch1 -p1 -b .rootonly

%build
%make_build all ROOT="$RPM_BUILD_ROOT"

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_sbindir}
%make_install install ROOT="$RPM_BUILD_ROOT"
install -p -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/irda
install -p -m644 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/irda

mkdir docs
for d in irdadump irattach tekram; do
	install -p -m644 "$d/README" "docs/README.$d"
done
for dir in irattach irdadump irdaping tekram; do
    cp $dir/README $dir/README.$dir
done

%post
/sbin/chkconfig --add irda

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del irda
fi

%files
%doc README docs/*
%_bindir/*
%_sbindir/*
%config(noreplace) %_initdir/*
%config(noreplace) %_sysconfdir/sysconfig/irda
%config(noreplace) %_sysconfdir/sysconfig/network-scripts/ifcfg-irlan0

%changelog
* Sat Oct 05 2002 Rider <rider@altlinux.ru> 0.9.15-alt2
- gcc 3.2 rebuild

* Wed Aug 14 2002 Rider <rider@altlinux.ru> 0.9.15-alt1
- 0.9.15

* Wed Mar 20 2002 Rider <rider@altlinux.ru> 0.9.14-alt2
- libtool fix
- patch1 from RH (fix irdadump crash)
- russian summary

* Fri Aug 17 2001 Rider <rider@altlinux.ru> 0.9.14-alt1
- 0.9.14

* Sat Jan 20 2001 Dmitry V. Levin <ldv@fandra.org> 0.9.13-ipl2mdk
- RE adaptions.
- Fixed init script.

* Thu Nov 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.13-1mdk
- 0.9.13

* Thu Nov 16 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.10-2mdk
- Allow to build (fix %%doc)

* Tue Aug 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-1mdk
- group fix.

* Mon Feb  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-1mdk
- new version.
- init.d script activated.
- added a printer config file.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Nov 10 1999 Dag Brattli <dagb@cs.uit.no>
- 0.9.5
- Some fixes to irattach, so it works with the latest kernels and patches
- Removed OBEX which will now become its own distribution
- Removed irdadump-X11 which will be replaced with a GNOME version

* Wed Sep 8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.9.4
- include new stuff (palm3, psion, obex_tcp, ...)
- various fixes

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Fix .spec bug

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- add README to %doc
- compile gnobex, now in irda-utils-X11

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- initial RPM:
  - handle RPM_OPT_FLAGS and RPM_BUILD_ROOT
  - fix build
  - split in normal and X11 packages
